> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Analytics

> Get aggregated run stats per workflow.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/analytics/workflows
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/analytics/workflows:
    get:
      tags:
        - Orgs Analytics
      summary: Get Workflow Analytics
      description: Get aggregated run stats per workflow.
      parameters:
        - schema:
            type: string
          required: true
          name: org_id
          in: path
        - schema:
            type:
              - string
              - 'null'
            format: date-time
          required: false
          name: from_date
          in: query
        - schema:
            type:
              - string
              - 'null'
            format: date-time
          required: false
          name: to_date
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkflowAnalyticsItemSchema'
components:
  schemas:
    WorkflowAnalyticsItemSchema:
      type: object
      properties:
        workflow_id:
          type: string
        workflow_name:
          type: string
        total_runs:
          type: number
        completed:
          type: number
        failed:
          type: number
        canceled:
          type: number
        success_rate:
          type: number
      required:
        - workflow_id
        - workflow_name
        - total_runs
        - completed
        - failed
        - canceled
        - success_rate
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````